## org.codehaus.groovy.ast.expr
Class BitwiseNegationExpression

author:
  phk

Field Summary
`Expression` | `expression`

Constructor Summary
`BitwiseNegationExpression(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`ClassNode` | `getType()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BitwiseNegationExpression

    public BitwiseNegationExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### getType

    public ClassNode getType()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)